FROM ubuntu:22.04

RUN apt update && apt-get install unzip zip wget curl -y
RUN dpkg --add-architecture i386 
RUN mkdir -pm755 /etc/apt/keyrings
RUN wget -O /etc/apt/keyrings/winehq-archive.key https://dl.winehq.org/wine-builds/winehq.key
RUN wget -NP /etc/apt/sources.list.d/ https://dl.winehq.org/wine-builds/ubuntu/dists/jammy/winehq-jammy.sources
RUN apt update
RUN apt install --install-recommends winehq-stable -y

RUN echo steam steam/question select "I AGREE" | debconf-set-selections
RUN echo steam steam/license note '' |  debconf-set-selections


RUN apt install wget screen -y 
#RUN add-apt-repository multiverse
#RUN apt update
#RUN apt install lib32gcc-s1 steamcmd -y

#RUN wget https://github.com/assetto-corsa-web/accweb/releases/download/v1.21.0/accweb_v1.21.0.zip

RUN mkdir -p /accserver
COPY ./accserver /

#RUN unzip accweb_v1.21.0.zip -d /accweb

RUN mkdir -p /accweb
COPY ./accweb/* /accweb/
WORKDIR /accweb
CMD ["./accweb"]